<?php 

//ini_set('display_eroors',1);

session_start();
date_default_timezone_set('America/Lima');
if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
require_once ("../../config/Cado.php");
require_once ("../serviciopago/cServiciopago.php");
$oServiciopago = new cServiciopago();

require_once ("../configuracion/cConfiguracion.php");
$oConfiguracion = new cConfiguracion();

require_once("../formatos/formato.php");
$m = date('m'); 
$Y = date('Y'); 
$d = date('d'); 

if($_POST['action']=='insertar'){
	
	
 	if(!empty($_POST['ser_nro']))
 	{
	
	
	$dtsc=$oConfiguracion->mostrarUno('1');
	$dtcon = mysqli_fetch_array($dtsc);
	$diaven=$dtcon['tb_configuracion_diaven'];
	$sertel=$dtcon['tb_configuracion_sertel'];
	$cuebcp=$dtcon['tb_configuracion_cuebcp'];
	$cueint=$dtcon['tb_configuracion_cueint'];
	mysqli_free_result($dtsc);

	$fec = $diaven.'-'.$m.'-'.$Y;
	$fecven = $d.'-'.$m.'-'.$Y;
	
	$oServiciopago->insertar(fecha_mysql($fec),fecha_mysql($fecven),$_POST['ser_nro']);	
		
	}else{
	
	
	
	}
	
}



if($_POST['action']=='eliminar'){
	
	
 	if(!empty($_POST['id']))
 	{
		$oServiciopago->eliminar($_POST['id']);	
		$data['msj']= 'Registro eliminado correctamente';
		
	}else{
		$data['msj']= 'Intenteo nuevamente';
	}
	
	echo json_encode($data);
}



?>